.\" Copyright \(co 1985, 1986, 1987, 1988, 1989, 1990, 1991, 1994, 1996 X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\"
.\" Copyright \(co 1985, 1986, 1987, 1988, 1989, 1990, 1991 by
.\" Digital Equipment Corporation
.\"
.\" Portions Copyright \(co 1990, 1991 by
.\" Tektronix, Inc.
.\"
.\" Permission to use, copy, modify and distribute this documentation for
.\" any purpose and without fee is hereby granted, provided that the above
.\" copyright notice appears in all copies and that both that copyright notice
.\" and this permission notice appear in all copies, and that the names of
.\" Digital and Tektronix not be used in in advertising or publicity pertaining
.\" to this documentation without specific, written prior permission.
.\" Digital and Tektronix makes no representations about the suitability
.\" of this documentation for any purpose.
.\" It is provided "as is" without express or implied warranty.
.\"
.\"
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xW Athena X Widgets \- C Language X Toolkit Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.TH XSetState __libmansuffix__ __xorgversion__ "XLIB FUNCTIONS"
.SH NAME
XSetState, XSetFunction, XSetPlaneMask, XSetForeground, XSetBackground \- GC convenience routines
.SH SYNTAX
.HP
int XSetState\^(\^Display *\fIdisplay\fP\^, GC \fIgc\fP\^, unsigned long
\fIforeground\fP\^, unsigned long \fIbackground\fP\^, int \fIfunction\fP\^,
unsigned long \fIplane_mask\fP\^);
.HP
int XSetFunction\^(\^Display *\fIdisplay\fP\^, GC \fIgc\fP\^, int
\fIfunction\fP\^);
.HP
int XSetPlaneMask\^(\^Display *\fIdisplay\fP\^, GC \fIgc\fP\^, unsigned long
\fIplane_mask\fP\^);
.HP
int XSetForeground\^(\^Display *\fIdisplay\fP\^, GC \fIgc\fP\^, unsigned long
\fIforeground\fP\^);
.HP
int XSetBackground\^(\^Display *\fIdisplay\fP\^, GC \fIgc\fP\^, unsigned long
\fIbackground\fP\^);
.SH ARGUMENTS
.IP \fIbackground\fP 1i
Specifies the background you want to set for the specified GC.
.IP \fIdisplay\fP 1i
Specifies the connection to the X server.
.IP \fIforeground\fP 1i
Specifies the foreground you want to set for the specified GC.
.IP \fIfunction\fP 1i
Specifies the function you want to set for the specified GC.
.IP \fIgc\fP 1i
Specifies the GC.
.IP \fIplane_mask\fP 1i
Specifies the plane mask.
.\" *** JIM: NEED MORE INFO FOR THIS. ***
.SH DESCRIPTION
The
.B XSetState
function sets the foreground, background, plane mask, and function components
for the specified GC.
.LP
.B XSetState
can generate
.BR BadAlloc ,
.BR BadGC ,
and
.B BadValue
errors.
.LP
.B XSetFunction
sets a specified value in the specified GC.
.LP
.B XSetFunction
can generate
.BR BadAlloc ,
.BR BadGC ,
and
.B BadValue
errors.
.LP
The
.B XSetPlaneMask
function sets the plane mask in the specified GC.
.LP
.B XSetPlaneMask
can generate
.B BadAlloc
and
.B BadGC
errors.
.LP
The
.B XSetForeground
function sets the foreground in the specified GC.
.LP
.B XSetForeground
can generate
.B BadAlloc
and
.B BadGC
errors.
.LP
The
.B XSetBackground
function sets the background in the specified GC.
.LP
.B XSetBackground
can generate
.B BadAlloc
and
.B BadGC
errors.
.SH DIAGNOSTICS
.TP 1i
.B BadAlloc
The server failed to allocate the requested resource or server memory.
.TP 1i
.B BadGC
A value for a GContext argument does not name a defined GContext.
.TP 1i
.B BadValue
Some numeric value falls outside the range of values accepted by the request.
Unless a specific range is specified for an argument, the full range defined
by the argument's type is accepted.
Any argument defined as a set of
alternatives can generate this error.
.SH "SEE ALSO"
XCreateGC(__libmansuffix__),
XQueryBestSize(__libmansuffix__),
XSetArcMode(__libmansuffix__),
XSetClipOrigin(__libmansuffix__),
XSetFillStyle(__libmansuffix__),
XSetFont(__libmansuffix__),
XSetLineAttributes(__libmansuffix__),
XSetTile(__libmansuffix__)
.br
\fI\*(xL\fP
